## Class RectangularArrayBuilder

- java.lang.Object
- - RJavaArrayIterator
  - - RectangularArrayBuilder

    public class RectangularArrayBuilder
    extends RJavaArrayIterator

Builds rectangular java arrays

### Field Summary

### Fields inherited from class RJavaArrayIterator

`array, dimensions, dimprod, increment, index, nd, position, start`

### Constructor Summary

Constructors
`RectangularArrayBuilder​(boolean x, int length)`
`RectangularArrayBuilder​(boolean x, int[] dim)`
`RectangularArrayBuilder​(byte x, int length)`
`RectangularArrayBuilder​(byte x, int[] dim)`
`RectangularArrayBuilder​(char x, int length)`
`RectangularArrayBuilder​(char x, int[] dim)`
`RectangularArrayBuilder​(double x, int length)`
`RectangularArrayBuilder​(double x, int[] dim)`
`RectangularArrayBuilder​(float x, int length)`
`RectangularArrayBuilder​(float x, int[] dim)`
`RectangularArrayBuilder​(int x, int length)`
`RectangularArrayBuilder​(int x, int[] dim)`
`RectangularArrayBuilder​(long x, int length)`
`RectangularArrayBuilder​(long x, int[] dim)`
`RectangularArrayBuilder​(short x, int length)`
`RectangularArrayBuilder​(short x, int[] dim)`
`RectangularArrayBuilder​(java.lang.Object payload, int length)`
`RectangularArrayBuilder​(java.lang.Object payload, int[] dimensions)` constructor

### Method Summary

### Methods inherited from class RJavaArrayIterator

`getArray, getArrayClassName, getDimensions, hasNext, next`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RectangularArrayBuilder

    public RectangularArrayBuilder​(java.lang.Object payload,
                                   int[] dimensions)
                            throws NotAnArrayException,
                                   ArrayDimensionException

constructor

Parameters:
  `payload` - one dimensional array
  `dimensions` - target dimensions
Throws:
  `NotAnArrayException` - if payload is not an array
  `ArrayDimensionException`

#### RectangularArrayBuilder

    public RectangularArrayBuilder​(java.lang.Object payload,
                                   int length)
                            throws NotAnArrayException,
                                   ArrayDimensionException

Throws:
  `NotAnArrayException`
  `ArrayDimensionException`

#### RectangularArrayBuilder

    public RectangularArrayBuilder​(int x,
                                   int[] dim)
                            throws NotAnArrayException

Throws:
  `NotAnArrayException`

#### RectangularArrayBuilder

    public RectangularArrayBuilder​(boolean x,
                                   int[] dim)
                            throws NotAnArrayException

Throws:
  `NotAnArrayException`

#### RectangularArrayBuilder

    public RectangularArrayBuilder​(byte x,
                                   int[] dim)
                            throws NotAnArrayException

Throws:
  `NotAnArrayException`

#### RectangularArrayBuilder

    public RectangularArrayBuilder​(long x,
                                   int[] dim)
                            throws NotAnArrayException

Throws:
  `NotAnArrayException`

#### RectangularArrayBuilder

    public RectangularArrayBuilder​(short x,
                                   int[] dim)
                            throws NotAnArrayException

Throws:
  `NotAnArrayException`

#### RectangularArrayBuilder

    public RectangularArrayBuilder​(double x,
                                   int[] dim)
                            throws NotAnArrayException

Throws:
  `NotAnArrayException`

#### RectangularArrayBuilder

    public RectangularArrayBuilder​(char x,
                                   int[] dim)
                            throws NotAnArrayException

Throws:
  `NotAnArrayException`

#### RectangularArrayBuilder

    public RectangularArrayBuilder​(float x,
                                   int[] dim)
                            throws NotAnArrayException

Throws:
  `NotAnArrayException`

#### RectangularArrayBuilder

    public RectangularArrayBuilder​(int x,
                                   int length)
                            throws NotAnArrayException

Throws:
  `NotAnArrayException`

#### RectangularArrayBuilder

    public RectangularArrayBuilder​(boolean x,
                                   int length)
                            throws NotAnArrayException

Throws:
  `NotAnArrayException`

#### RectangularArrayBuilder

    public RectangularArrayBuilder​(byte x,
                                   int length)
                            throws NotAnArrayException

Throws:
  `NotAnArrayException`

#### RectangularArrayBuilder

    public RectangularArrayBuilder​(long x,
                                   int length)
                            throws NotAnArrayException

Throws:
  `NotAnArrayException`

#### RectangularArrayBuilder

    public RectangularArrayBuilder​(short x,
                                   int length)
                            throws NotAnArrayException

Throws:
  `NotAnArrayException`

#### RectangularArrayBuilder

    public RectangularArrayBuilder​(double x,
                                   int length)
                            throws NotAnArrayException

Throws:
  `NotAnArrayException`

#### RectangularArrayBuilder

    public RectangularArrayBuilder​(char x,
                                   int length)
                            throws NotAnArrayException

Throws:
  `NotAnArrayException`

#### RectangularArrayBuilder

    public RectangularArrayBuilder​(float x,
                                   int length)
                            throws NotAnArrayException

Throws:
  `NotAnArrayException`